#include <stdio.h>

char buffer[1000];
float n_points;
float frequency;
float voltage;
float raw_voltage;

int main()
{
  for( int i = 1; ; i++ )
    {
      if ( scanf( "%s%g%g%g%g", buffer, &voltage,
		  &raw_voltage, &frequency, &n_points ) < 4 )
	break;
      printf( "load %s\n", buffer );
      printf( "[gain, phase] = find_gain_phase_abs( %s, %g, 0.1 );\n", &(buffer[15]), frequency );
      printf( "bode_data(%d,1) = %g;\n", i, frequency );
      printf( "bode_data(%d,2) = gain;\n", i );
      printf( "bode_data(%d,3) = phase;\n", i );
    }
  printf( "figure(2);\n" );
  printf( "plot(log10(bode_data(:,1)),log10(bode_data(:,2)));\n" );
  printf( "figure(3);\n" );
  printf( "plot(log10(bode_data(:,1)),-bode_data(:,3));\n" );
}
