function score = eval_model_bode( p )
  % match a model to a bode array
global bode_data % compare model to data
score = 0;
for i = 1:length(bode_data)
  [eval_gain, eval_phase] = model_bode( bode_data(i,1), p, 0 );
  bode_model(i,1) = bode_data(i,1);
  bode_model(i,2) = eval_gain;
  bode_model(i,3) = eval_phase;
  dif = log10(bode_data(i,2)) - log10(bode_model(i,2));
  score = score + dif*dif;
%  [i, bode_data(i,1), bode_model(i,1), eval_gain, eval_phase ]
%  [dif dif*dif score]
end
[score p(1) p(2)]
figure(2);
loglog(bode_model(:,1),bode_model(:,2),'b');
hold
loglog(bode_data(:,1),bode_data(:,2),'r');
hold
figure(3);
plot(log10(bode_model(:,1)),-bode_model(:,3),'b');
hold
plot(log10(bode_data(:,1)),-bode_data(:,3),'r');
hold
