#include <stdio.h>

char buffer[1000];
float n_points;
float frequency;
float voltage;
float raw_voltage;

int main()
{
  float parameters[2];
  parameters[0] = 0.005;
  parameters[1] = 0.9;
  
  for( int i = 1; ; i++ )
    {
      if ( scanf( "%s%g%g%g%g", buffer, &voltage,
		  &raw_voltage, &frequency, &n_points ) < 4 )
	break;
      printf( "[gain, phase] = model_bode( %g, [%g %g], 0 );\n",
	      frequency, parameters[0], parameters[1] );
      printf( "bode_model(%d,1) = %g;\n", i, frequency );
      printf( "bode_model(%d,2) = gain;\n", i );
      printf( "bode_model(%d,3) = phase;\n", i );
    }
  printf( "figure(2);\n" );
  printf( "plot(log10(bode_model(:,1)),log10(bode_model(:,2)),'b');\n" );
  printf( "hold\n" );
  printf( "plot(log10(bode_data(:,1)),log10(bode_data(:,2)),'r');\n" );
  printf( "hold\n" );
  printf( "figure(3);\n" );
  printf( "plot(log10(bode_model(:,1)),-bode_model(:,3),'b');\n" );
  printf( "hold\n" );
  printf( "plot(log10(bode_data(:,1)),-bode_data(:,3),'r');\n" );
  printf( "hold\n" );
}
